Supported Browsers

Browsers supported by the Email Appliance

  • Internet Explorer 7.0 and later
  • Firefox 4.x and later
  • Google Chrome 37.x and later
  • Safari 5 and later
  • Opera 25.x and later
  • Chromium 48 and later
Note
If you are using an earlier browser version and experience performance issues, consider upgrading to a newer version of the browser.